fv::root::LorentzVector Class Reference
Inheritance diagram for fv::root::LorentzVector:
[legend]
Collaboration diagram for fv::root::LorentzVector:
[legend]

## Public Member Functions

| LorentzVector (const std::string &name, Value< double > *pt, Value< double > *eta, Value< double > *phi, Value< double > *m)
| LorentzVector (const std::string &name, const std::string &pt_label, const std::string &eta_label, const std::string &phi_label, const std::string &m_label)
Public Member Functions inherited from fv::DerivedValue< TLorentzVector >
| DerivedValue (const std::string &name, const std::string &alias="")
TLorentzVector & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< TLorentzVector >
| Value (const std::string &name, const std::string &alias="")
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()

## Protected Member Functions

void | update_value ()
| Updates the internal value. More...
void | verify_integrity ()
| This function serves to check that this Value has been created with real, i.e. More...

## Protected Attributes

Value< double > * | pt
Value< double > * | eta
Value< double > * | phi
Value< double > * | m
Protected Attributes inherited from fv::DerivedValue< TLorentzVector >
TLorentzVector | value
bool | value_valid

## Additional Inherited Members

Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

## Member Function Documentation

## update_value()

void fv::root::LorentzVector::update_value | ( |  | ) |

inlineprotectedvirtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< TLorentzVector >.

Here is the call graph for this function:

## verify_integrity()

void fv::root::LorentzVector::verify_integrity | ( |  | ) |

inlineprotectedvirtual

This function serves to check that this Value has been created with real, i.e.

non null, arguments. This is to avoid segfaulting when a dynamic_cast fails. If no checks need to be made, simple override this method with a no-op. If checks fail, the function should utilize the CRITICAL macro with a meaningfull error message stating what failed and especially the name of the current value.

Implements fv::GenValue.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/value.hpp